import { setComponentTemplate } from '@ember/component';
import { hbs } from 'ember-cli-htmlbars';
import Component from '@glimmer/component';

var TEMPLATE = hbs("{{#if (has-block)}}\n  <div\n    role=\"button\"\n    class=\"ember-litepicker-input\"\n    ...attributes\n    {{litepicker this.args}}\n  >\n    {{yield}}\n  </div>\n{{else}}\n  <Input\n    class=\"ember-litepicker-input\"\n    ...attributes\n    {{litepicker this.args}}\n  />\n{{/if}}");

/**
 * Litepicker component
 *
 * Usage:
 *
 * * Base
 * ``` handlebars
 * <Litepicker @onSelect={{action "onSelect"}} />
 * ```
 * * Full
 * ``` handlebars
 * <Litepicker @secondField={{null}} @firstDay={{1}} @parentEl="body" @lang="auto" @format="DD/MM/YYYY" @separator=" - " @numberOfMonths={{1}} @numberOfColumns={{2}} @singleDate={{true}} @autoclose={{true}} @repick={{false}} @value={{null}} @startDate={{null}} @endDate={{null}} @minDate={{null}} @maxDate={{null}} @disableDates={{null}} @selectForward={{false}} @selectBackward={{false}} @minDays={{null}} @maxDays={{null}} @hoveringTooltip={{true}} @hideOnBodyClick={{true}} @footer={{false}} @disabledDatesInRange={{true}} @tooltipNights={{false}} @orientation={{"auto"}} @disableWeekends={{false}} @inline={{false}} @weekdayStyle="short" @dropdowns={{hash years=(hash min=1900 max= null) months=true}} @locale={{hash buttons=(hash prev="&leftarrow;" next="&rightarrow;" close="&times;" reset="Reset" apply="Apply" tooltip=(hash one="day" other="days" tooltipOnDisabled=null }} @onSelect={{action "onSelect"}} @onSelectStart={{action "onSelectStart"}} @onSelectEnd={{action "onSelectEnd"}} @onOpen={{action "onOpen"}} @onClose={{action "onClose"}} @onError={{action "onError"}} @onMonthsChange={{action "onMonthsChange"}} @onYearsChange={{action "onYearsChange"}}/>
 * ```
 *
 * @class Litepicker
 * @public
 */
class LitepickerComponent extends Component {}
setComponentTemplate(TEMPLATE, LitepickerComponent);

export { LitepickerComponent as default };
//# sourceMappingURL=litepicker.js.map
